> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/88.-mutacija-izvozi-zonesmap-kot-zapakiran-shapefile.md).

# 88. Mutacija: izvozi ZonesMap kot zapakiran Shapefile

Ustvari zip arhiv z izbranim "ZonesMap" kot shapefile.

{% hint style="info" %}
Arhiv vsebuje datoteke \*.shp, \*.shx, \*.prj, \*.dbf v EPSG:4326.
{% endhint %}

### 1. Priprava

* Atribut `vectorAnalysisMaps` vsebuje polje objektov ZonesMaps (VectorAnalysisMaps), ki jih je treba izvoziti. Vsak tak objekt vključuje par `fieldUuid` (povezava na izbrano polje) in `uuid` (povezava na izbrani ZonesMap).
* Bulev atribut `asMultiGeometry` določa, ali se cone izvozijo kot `Poligoni` ali `MultiPoligoni` (ko je nastavljeno na `resnično` ).
* Bulev atribut `onlyProductColumns` določa, ali naj se v shapefile vključijo samo stolpci s produkti (RX) (ko je `resnično`). V nasprotnem primeru bodo kot stolpci vključeni vsi statistični atributi in ID-ji con.
* Atribut `archiveName` vsebuje ime ustvarjenega zip arhiva.
* Atribut `filePostfix` dovoli dodajanje prilagojenih pripon k izvoženim datotekam in arhivu.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    vnos: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Prenos ustvarjenega arhiva

Po izvedbi GraphQL poizvedbe je mogoče arhiv prenesti z uporabo `curl` ali podobnega pristopa.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/88.-mutacija-izvozi-zonesmap-kot-zapakiran-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
